OpenMPI 0.1.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Data Structures | Typedefs | Functions | Variables
mpool_rgpusm.h File Reference
`#include "ompi_config.h"`
`#include "opal/class/opal_list.h"`
`#include "ompi/class/ompi_free_list.h"`
`#include "ompi/mca/mpool/mpool.h"`

Go to the source code of this file.

## Data Structures
struct | mca_mpool_rgpusm_component_t
struct | mca_mpool_base_resources_t
struct | mca_mpool_rgpusm_module_t

## Typedefs
typedef struct mca_mpool_rgpusm_component_t | mca_mpool_rgpusm_component_t
typedef struct mca_mpool_base_resources_t | mca_mpool_base_resources_t
typedef struct mca_mpool_rgpusm_module_t | mca_mpool_rgpusm_module_t

## Functions
void | mca_mpool_rgpusm_module_init (mca_mpool_rgpusm_module_t *mpool)
int | mca_mpool_rgpusm_register (mca_mpool_base_module_t *mpool, void *addr, size_t size, uint32_t flags, mca_mpool_base_registration_t **reg)
| register block of memory
int | mca_mpool_rgpusm_deregister (mca_mpool_base_module_t *mpool, mca_mpool_base_registration_t *reg)
| deregister memory
void | mca_mpool_rgpusm_free (mca_mpool_base_module_t *mpool, void *addr, mca_mpool_base_registration_t *reg)
| free memory allocated by alloc function More...
int | mca_mpool_rgpusm_find (struct mca_mpool_base_module_t *mpool, void *addr, size_t size, mca_mpool_base_registration_t **reg)
| find registration for a given block of memory
int | mca_mpool_rgpusm_release_memory (mca_mpool_base_module_t *mpool, void *base, size_t size)
| unregister all registration covering the block of memory
void | mca_mpool_rgpusm_finalize (struct mca_mpool_base_module_t *mpool)
| finalize mpool
int | mca_mpool_rgpusm_ft_event (int state)
| Fault Tolerance Event Notification Function. More...

## Variables
OMPI_DECLSPEC mca_mpool_rgpusm_component_t | mca_mpool_rgpusm_component

## Function Documentation

void mca_mpool_rgpusm_free | ( | mca_mpool_base_module_t * | mpool,
|  | void * | addr,
|  | mca_mpool_base_registration_t * | registration
| ) |  |

free memory allocated by alloc function

free memory allocated by alloc function

References mca_mpool_rgpusm_deregister().

int mca_mpool_rgpusm_ft_event | ( | int | state | ) |

Fault Tolerance Event Notification Function.

Parameters

  state | Checkpoint Stae

Returns
  OMPI_SUCCESS or failure status